> ## Documentation Index
> Fetch the complete documentation index at: https://docs.connect-crm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a custom attribute

> Deletes a single custom attribute on a given object.



## OpenAPI

````yaml delete /v1/{target}/{identifier}/attributes/{attribute}
openapi: 3.1.0
info:
  version: 0.1.0
  title: Connect-CRM Backend API
servers:
  - url: https://api.connect-crm.com
security:
  - Bearer: []
paths:
  /v1/{target}/{identifier}/attributes/{attribute}:
    delete:
      tags:
        - Attributes
      summary: Delete a custom attribute
      description: Deletes a single custom attribute on a given object.
      operationId: deleteAttribute
      parameters:
        - schema:
            type: string
            description: Whether the attributes are on an object.
            enum:
              - objects
          required: true
          description: Whether the attributes are on an object.
          name: target
          in: path
        - schema:
            type: string
            description: A UUID or slug to identify the object.
          required: true
          description: A UUID or slug to identify the object.
          name: identifier
          in: path
        - schema:
            type: string
            format: uuid
            description: A UUID or slug to identify the attribute.
          required: true
          description: A UUID or slug to identify the attribute.
          name: attribute
          in: path
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AttributeResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 400
                  type:
                    type: string
                    example: invalid_request_error
                  code:
                    type: string
                    example: validation_type
                  requestId:
                    type: string
                    example: 123e4567-e89b-12d3-a456-426655440000
                required:
                  - statusCode
                  - type
                  - code
                  - requestId
        '401':
          description: Not Authorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 404
                  type:
                    type: string
                    example: not_authorized_error
                  code:
                    type: string
                    example: not_authorized
                  requestId:
                    type: string
                    example: 123e4567-e89b-12d3-a456-426655440000
                required:
                  - statusCode
                  - type
                  - code
                  - requestId
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 403
                  type:
                    type: string
                    example: forbidden_error
                  code:
                    type: string
                    example: forbidden
                  requestId:
                    type: string
                    example: 123e4567-e89b-12d3-a456-426655440000
                required:
                  - statusCode
                  - type
                  - code
                  - requestId
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 404
                  type:
                    type: string
                    example: invalid_request_error
                  code:
                    type: string
                    example: not_found
                  requestId:
                    type: string
                    example: 123e4567-e89b-12d3-a456-426655440000
                required:
                  - statusCode
                  - type
                  - code
                  - requestId
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 409
                  type:
                    type: string
                    example: invalid_request_error
                  code:
                    type: string
                    example: ''
                  requestId:
                    type: string
                    example: 123e4567-e89b-12d3-a456-426655440000
                required:
                  - statusCode
                  - type
                  - code
                  - requestId
        '500':
          description: Invalid Server
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 500
                  type:
                    type: string
                    example: invalid_error
                  code:
                    type: string
                    example: ''
                  requestId:
                    type: string
                    example: 123e4567-e89b-12d3-a456-426655440000
                required:
                  - statusCode
                  - type
                  - code
                  - requestId
components:
  schemas:
    AttributeResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Attribute'
      required:
        - data
    Attribute:
      type: object
      properties:
        id:
          type: object
          properties:
            workspace_id:
              type: string
              example: 9293961c-df93-4d6d-a2cc-fc3e353b2d10
              description: A UUID to identify the workspace this object belongs to.
            object_id:
              type: string
              example: 9293961c-df93-4d6d-a2cc-fc3e353b2d10
              description: A UUID to identify the object.
            attribute_id:
              type: string
              example: 9293961c-df93-4d6d-a2cc-fc3e353b2d10
              description: A UUID to identify the attribute.
          required:
            - workspace_id
            - object_id
            - attribute_id
        created_at:
          type: string
          format: date-time
          example: '2024-09-04T20:45:09Z'
          description: When the attribute was created.
        archived_at:
          type:
            - string
            - 'null'
          format: date-time
          description: When the attribute was archived. Null if not archived.
          example: '2024-09-04T20:45:09Z'
        slug:
          type: string
          description: >-
            A unique, human readable slug to access the object through URLs and
            API calls. Formatted in snake case.
        title:
          type: string
          description: A title for the attribute, to be displayed across the app.
        type:
          type: string
          enum:
            - name
            - personal-name
            - website
            - email-address
            - text
            - date
            - timestamp
            - number
            - checkbox
            - select
            - multi-select
            - currency
            - record-reference
            - actor-reference
            - location
            - phone-number
            - pipeline
            - relationship
          description: >-
            The type of the attribute. This value affects the possible config
            values.
        description:
          type:
            - string
            - 'null'
          description: A text description of the attribute.
        is_required:
          type: boolean
          description: >-
            When is_required is true, new records/entries must have a value for
            this attribute. If false, values may be null. This value does not
            affect existing data and you do not need to back-fill null values if
            changing is_required from false to true.
        is_unique:
          type: boolean
          description: >-
            Whether or not new values for this attribute must be unique.
            Uniqueness restrictions are only applied to new data and do not
            apply retroactively to previously created data.
        is_multi_select:
          type: boolean
          description: >-
            Whether or not this attribute can have multiple values. Multiselect
            is only available on some value types.
        is_system_attribute:
          type: boolean
          description: >-
            Whether or not this attribute is a system attribute. System
            attributes are created by the system and cannot be deleted or
            modified.
        config:
          $ref: '#/components/schemas/AttributeConfig'
        relationship:
          anyOf:
            - type: object
              properties:
                id:
                  type: object
                  properties:
                    attribute_id:
                      type: string
                      example: 9293961c-df93-4d6d-a2cc-fc3e353b2d10
                      description: A UUID to identify the attribute.
                    object_id:
                      type: string
                      example: 9293961c-df93-4d6d-a2cc-fc3e353b2d10
                      description: A UUID to identify the object.
                  required:
                    - attribute_id
                    - object_id
              required:
                - id
            - type: 'null'
        sort_order:
          type: number
          description: The sort order of the attribute.
          example: 1
        default_value:
          type:
            - string
            - 'null'
          description: The default value for the attribute.
          example: Default Value
      required:
        - id
        - created_at
        - archived_at
        - slug
        - title
        - type
        - description
        - is_required
        - is_unique
        - is_multi_select
        - is_system_attribute
        - config
        - relationship
        - sort_order
        - default_value
    AttributeConfig:
      anyOf:
        - type: object
          properties:
            currency:
              type: 'null'
            record_reference:
              type: object
              properties:
                allowed_object_ids:
                  type: array
                  items:
                    type: string
                    format: uuid
                  maxItems: 50
                  description: An array of object IDs that this attribute can reference.
                  example:
                    - 9293961c-df93-4d6d-a2cc-fc3e353b2d10
              required:
                - allowed_object_ids
          required:
            - currency
            - record_reference
        - type: object
          properties:
            currency:
              $ref: '#/components/schemas/CurrencyConfig'
            record_reference:
              type: 'null'
          required:
            - currency
            - record_reference
        - type: object
          properties:
            currency:
              type: 'null'
            record_reference:
              type: 'null'
          required:
            - currency
            - record_reference
    CurrencyConfig:
      type: object
      properties:
        default_currency_code:
          type: string
          description: The default currency code for this attribute.
          example: USD
        display_type:
          type: string
          description: The display type for the currency attribute.
          example: symbol
      required:
        - default_currency_code
        - display_type
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````